1. Bug reports are welcome, but please make sure to include a minimal code sample that
shows your problem. In most cases, we'll need you to give us an example that we
can actually run, so include any necessary sample data. A screenshot 
or stack trace can also be helpful!

2. For all support requests and feature requests, please use the [Prawn mailing
list](https://groups.google.com/forum/#!forum/prawn-ruby) instead of the Github tracker,
or see if anyone is around in #prawn on Freenode to discuss your issue. If we
find that you discovered a bug, or that your feature request is one that
we want to continue to research and discuss on Github, we'll either ask you 
to file a ticket or file one on your behalf. 

3. Pull requests for bug fixes or enhancements are welcome. Feel free to open
them in the early stages of your work so that we can give feedback
and discuss ideas together.

Please note that Prawn has had a rough couple of years, and so our forward
progress has slowed down quite a bit. To make it to a 1.0 release, we need
to work on just the most essential things, but our long-term goal is to
make this project as friendly to contributors as possible.

Here are some notes on our issue tracker process:

* We will close pull requests that need revisions, after tagging them
with a "needs-revision" tag. Once the revisions are made, you can
comment on the pull request and we'll review it again.

* We may close any issue after 30 days of inactivity, labeling it
with a 'stale' tag. To re-open it, simply leave a comment on
the issue. If there is a proper example in place and the
issue still is relevant, we will open it back up.

* We will close all incoming issues related to the currently
unmaintained templates feature, marking them with a 'templates'
tag. These will remained archived in our tracker until
someone else starts maintaining prawn-templates, but we
cannot provide any help for this unsupported feature at
this point in time.

These are all temporary measures, and will be revised once we
hit 1.0. The underlying goal is to keep the issue tracker full 
of actionable issues that we can respond to in a timely fashion,
not to sweep unresolved issues under the rug!

Thanks for your patience, and happy Prawning.
